------------------------------------------------------------------------------------
--Name：  210423[简体征服][活动脚本]儿童节主npc
--Creator:      谢孟轩
--Created:     2021-04-23
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>148

CppScriptMgr:SetViewPosByCell(319,445)
--原驻双龙城npc
local player1 = CppScriptMgr:AddSimplePlayer(3336,307,443,"CPAdmin")
player1:SetDir(6) 
local player2 = CppScriptMgr:AddSimplePlayer(1055186,305,447,"Merchant Clerk")
local player3 = CppScriptMgr:AddSimplePlayer(45560,314,451,"Kaka")
local player4 = CppScriptMgr:AddSimplePlayer(36,305,438,"Pharmacist")
local player5 = CppScriptMgr:AddSimplePlayer(45550,317,451,"Walker")
local player13 = CppScriptMgr:AddSimplePlayer(45540,320,451,"Jennifer")
local player14 = CppScriptMgr:AddSimplePlayer(1060020,324,451,"ChuLiuxiang")


--【场景一】

--两个小孩拍手
local Child1 = CppScriptMgr:AddSimplePlayer(4374,315,447,"")
Child1:SetDir(4) 
local Child2 = CppScriptMgr:AddSimplePlayer(10440,315,445,"")

CppScriptMgr:WaitMilSec(1000)
--小时候的狗蛋
local LittleBoy1 = CppScriptMgr:AddSimplePlayer(4374,319,442,"")
LittleBoy1:SetDir(2) 
LittleBoy1:Say("Hahaha，#31#31#You can`t catch me!",2000)
--LittleBoy1:WalkTo(319,442)

CppScriptMgr:WaitMilSec(2000)

--小时候的玲玲
local LittleGirl1 = CppScriptMgr:AddSimplePlayer(10440,319,439,"")
LittleGirl1:SetDir(2) 
--LittleGirl1:WalkTo(319,439)
LittleGirl1:Say("Kobe! #09You are so annoying, pulling my pigtail again!",2000)

Child1:Say("Jump, jump, jump around.",2000)
CppScriptMgr:WaitMilSec(2000)

Child2:Say("Touch the sky and touch the ground.",2000)
CppScriptMgr:WaitMilSec(500)

LittleBoy1:Say("#31#31#31",2000)
LittleGirl1:Say("#09#09#09",2000)

CppScriptMgr:WaitMilSec(1500)

--女人出现增加光效
local effectObj1 = CppScriptMgr:AddEffect("role-select7",324,440)

Child1:Say("Shake, shake, shake your hips.",2000)
CppScriptMgr:WaitMilSec(2000)

local Monther = CppScriptMgr:AddSimplePlayer(1060930,324,440,"")
CppScriptMgr:ClearEffect(effectObj1)

Monther:SetAction(190)
Monther:Say("Kobe! Stop it! Go home with me!",2000)

Child2:Say("I know a song and it goes like this.",2000)
CppScriptMgr:WaitMilSec(2000)

--LittleBoy1:WalkTo(324,443)
LittleBoy1:SetDir(6) 

Child1:Say("Swing, swing, swing your arms.",2000)
CppScriptMgr:WaitMilSec(2000)



LittleGirl1:SetDir(7) 
LittleBoy1:Say("#24#24#24But I wanna spend Kidsfun Day with Linnie.#13",2000)

Child2:Say("Dance everybody and sing with me!",2000)
CppScriptMgr:WaitMilSec(2000)

--【场景二】

local effectObj2 = CppScriptMgr:AddEffect("red-flower-full",301,442)
CppScriptMgr:WaitMilSec(4000)

CppScriptMgr:SetViewPosByCell(332,547)
--原驻双龙城npc
local player6 = CppScriptMgr:AddSimplePlayer(1606,332,547,"Love Stone")
local player7 = CppScriptMgr:AddSimplePlayer(1054470,324,549,"Moon Fairy")
local player8 = CppScriptMgr:AddSimplePlayer(106030,331,538,"Matchmaker")

local YoungBoy2 = CppScriptMgr:AddSimplePlayer(1056050,334,547,"Kobe")
local YoungGirl1 = CppScriptMgr:AddSimplePlayer(4680,332,549,"Linnie")
YoungGirl1:SetDir(4) 

local effectObj2 = CppScriptMgr:AddEffect("NEW-flower-g-1",332,547)

YoungGirl1:Say("I still remember that you liked pulling my pigtails when we were kids.",3500)
CppScriptMgr:WaitMilSec(3500)
YoungBoy2:Say("Yes, I was so into you at that time...",3500)
CppScriptMgr:WaitMilSec(3500)
YoungBoy2:Say("Wish we can go back to our childhood. I promise I wouldn`t pull your pigtails anymore.",3500)
CppScriptMgr:WaitMilSec(3500)
YoungGirl1:Say("Yeah... I miss those days, too.",3500)
CppScriptMgr:WaitMilSec(3500)
YoungBoy2:AddEffect("recovery")
YoungGirl1:AddEffect("recovery")

CppScriptMgr:WaitMilSec(2000)

--【场景三】

CppScriptMgr:SetViewPosByCell(376,441)

--原驻双龙城npc
local conductor = CppScriptMgr:AddSimplePlayer(1060730,376,443,"Chief Conductor")
local player9 = CppScriptMgr:AddSimplePlayer(1060980,367,452,"KidsfunMaster")
local player10 = CppScriptMgr:AddSimplePlayer(1060970,375,452,"Daydreamer")
local player11 = CppScriptMgr:AddSimplePlayer(33540,352,448,"MagicMirror")
local player12 = CppScriptMgr:AddSimplePlayer(25210,382,452,"KidsfunSquareEntrance")
	player12:AddEffect("rygh_hglx1")
local player15 = CppScriptMgr:AddSimplePlayer(1061840,361,435,"Night Bat")
local effectObj1 = CppScriptMgr:AddEffect("2021ertongjiedx",371,437)


CppScriptMgr:WaitMilSec(500)

local YoungBoy2 = CppScriptMgr:AddSimplePlayer(1056054,379,447,"Kobe")
local YoungGirl2 = CppScriptMgr:AddSimplePlayer(4684,374,447,"Linnie")
YoungBoy2:SetDir(4)
YoungGirl2:SetDir(4)

CppScriptMgr:WaitMilSec(1000)
YoungGirl2:SetDir(4)
YoungBoy2:AddEffect("recovery")
YoungGirl2:AddEffect("recovery")
CppScriptMgr:WaitMilSec(1000)

YoungBoy2:Say("Is it?",2000)
CppScriptMgr:WaitMilSec(2000)
conductor:Say("Kidsfun Express will be arriving at the station! The destination is Kidsfun Park!",2000)
conductor:SetAction(200)
CppScriptMgr:WaitMilSec(2000)
YoungGirl2:Say("Can we go, too?",2000)
CppScriptMgr:WaitMilSec(2000)
conductor:Say("Kidsfun Park is open to everyone! Just have fun and win tons of rewards!",2000)
conductor:SetAction(230)
CppScriptMgr:WaitMilSec(2000)

YoungGirl2:Say("Awesome!",2000)
YoungBoy2:Say("Cool!",2000)
CppScriptMgr:WaitMilSec(2000)
